#include "version.sh"

uniform sampler2D texUnit;

in lowp vec4 color_f;
in mediump vec2 uv_f;
in mediump vec2 border_f;

layout(location = 0) out vec4 fragColor;

void main ()
{
	mediump float dis_rev = texture(texUnit, uv_f).r;
	mediump float alpha = smoothstep(border_f.x, border_f.y, dis_rev);
    fragColor = color_f * alpha;
}
